# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="BrowserLogData",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("session_key", models.CharField(max_length=40)),
                ("ip_address", models.GenericIPAddressField()),
                ("ua_string", models.TextField(null=True, blank=True)),
                (
                    "browser_family",
                    models.CharField(null=True, blank=True, max_length=50),
                ),
                (
                    "browser_version",
                    models.CharField(null=True, blank=True, max_length=20),
                ),
                ("os_family", models.CharField(null=True, blank=True, max_length=50)),
                ("os_version", models.CharField(null=True, blank=True, max_length=20)),
                (
                    "device_family",
                    models.CharField(null=True, blank=True, max_length=50),
                ),
                ("is_mobile", models.BooleanField(default=False)),
                ("is_tablet", models.BooleanField(default=False)),
                ("is_touch_capable", models.BooleanField(default=False)),
                ("is_pc", models.BooleanField(default=False)),
                ("is_bot", models.BooleanField(default=False)),
                ("created", models.DateTimeField(auto_now_add=True)),
                (
                    "user",
                    models.ForeignKey(
                        null=True,
                        blank=True,
                        to=settings.AUTH_USER_MODEL,
                        on_delete=models.CASCADE,
                    ),
                ),
            ],
        ),
    ]
